Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Common/vtkSmartPointerBase.h File Reference

`#include "vtkObjectBase.h"`

Include dependency graph for vtkSmartPointerBase.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

class | vtkSmartPointerBase
| Non-templated superclass for vtkSmartPointer. More...

## Defines

#define | VTK_SMART_POINTER_BASE_BOOL int
#define | VTK_SMART_POINTER_BASE_DEFINE_OPERATOR(op)

## Define Documentation

#define VTK_SMART_POINTER_BASE_BOOL int

| Definition at line 94 of file vtkSmartPointerBase.h.

#define VTK_SMART_POINTER_BASE_DEFINE_OPERATOR | ( | op |  | ) |

Value:

    inline VTK_SMART_POINTER_BASE_BOOL \
      operator op (const vtkSmartPointerBase& l, const vtkSmartPointerBase& r) \
        { \
        return (static_cast<void*>(l.GetPointer()) op \
                static_cast<void*>(r.GetPointer())); \
        } \
      inline VTK_SMART_POINTER_BASE_BOOL \
      operator op (vtkObjectBase* l, const vtkSmartPointerBase& r) \
        { \
        return (static_cast<void*>(l) op static_cast<void*>(r.GetPointer())); \
        } \
      inline VTK_SMART_POINTER_BASE_BOOL \
      operator op (const vtkSmartPointerBase& l, vtkObjectBase* r) \
        { \
        return (static_cast<void*>(l.GetPointer()) op static_cast<void*>(r)); \
        }

Definition at line 97 of file vtkSmartPointerBase.h.

## Function Documentation

VTK_COMMON_EXPORT ostream& operator<< | ( | ostream & | os,
|  | const vtkSmartPointerBase & | p
| ) |

| Streaming operator to print smart pointer like regular pointers.